Package org.apache.storm.generated

# Class Nimbus

java.lang.Object
org.apache.storm.generated.Nimbus

@Generated("Autogenerated by Thrift Compiler (0.19.0)") public class Nimbus extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Nimbus.activate_args`
  `static class`
  `Nimbus.activate_result`
  `static class`
  `Nimbus.AsyncClient`
  `static interface`
  `Nimbus.AsyncIface`
  `static class`
  `Nimbus.AsyncProcessor<I extends Nimbus.AsyncIface>`
  `static class`
  `Nimbus.beginBlobDownload_args`
  `static class`
  `Nimbus.beginBlobDownload_result`
  `static class`
  `Nimbus.beginCreateBlob_args`
  `static class`
  `Nimbus.beginCreateBlob_result`
  `static class`
  `Nimbus.beginFileUpload_args`
  `static class`
  `Nimbus.beginFileUpload_result`
  `static class`
  `Nimbus.beginUpdateBlob_args`
  `static class`
  `Nimbus.beginUpdateBlob_result`
  `static class`
  `Nimbus.cancelBlobUpload_args`
  `static class`
  `Nimbus.cancelBlobUpload_result`
  `static class`
  `Nimbus.Client`
  `static class`
  `Nimbus.createStateInZookeeper_args`
  `static class`
  `Nimbus.createStateInZookeeper_result`
  `static class`
  `Nimbus.deactivate_args`
  `static class`
  `Nimbus.deactivate_result`
  `static class`
  `Nimbus.debug_args`
  `static class`
  `Nimbus.debug_result`
  `static class`
  `Nimbus.deleteBlob_args`
  `static class`
  `Nimbus.deleteBlob_result`
  `static class`
  `Nimbus.downloadBlobChunk_args`
  `static class`
  `Nimbus.downloadBlobChunk_result`
  `static class`
  `Nimbus.downloadChunk_args`
  `static class`
  `Nimbus.downloadChunk_result`
  `static class`
  `Nimbus.finishBlobUpload_args`
  `static class`
  `Nimbus.finishBlobUpload_result`
  `static class`
  `Nimbus.finishFileUpload_args`
  `static class`
  `Nimbus.finishFileUpload_result`
  `static class`
  `Nimbus.getBlobMeta_args`
  `static class`
  `Nimbus.getBlobMeta_result`
  `static class`
  `Nimbus.getBlobReplication_args`
  `static class`
  `Nimbus.getBlobReplication_result`
  `static class`
  `Nimbus.getClusterInfo_args`
  `static class`
  `Nimbus.getClusterInfo_result`
  `static class`
  `Nimbus.getComponentPageInfo_args`
  `static class`
  `Nimbus.getComponentPageInfo_result`
  `static class`
  `Nimbus.getComponentPendingProfileActions_args`
  `static class`
  `Nimbus.getComponentPendingProfileActions_result`
  `static class`
  `Nimbus.getLeader_args`
  `static class`
  `Nimbus.getLeader_result`
  `static class`
  `Nimbus.getLogConfig_args`
  `static class`
  `Nimbus.getLogConfig_result`
  `static class`
  `Nimbus.getNimbusConf_args`
  `static class`
  `Nimbus.getNimbusConf_result`
  `static class`
  `Nimbus.getOwnerResourceSummaries_args`
  `static class`
  `Nimbus.getOwnerResourceSummaries_result`
  `static class`
  `Nimbus.getSupervisorAssignments_args`
  `static class`
  `Nimbus.getSupervisorAssignments_result`
  `static class`
  `Nimbus.getSupervisorPageInfo_args`
  `static class`
  `Nimbus.getSupervisorPageInfo_result`
  `static class`
  `Nimbus.getTopology_args`
  `static class`
  `Nimbus.getTopology_result`
  `static class`
  `Nimbus.getTopologyConf_args`
  `static class`
  `Nimbus.getTopologyConf_result`
  `static class`
  `Nimbus.getTopologyHistory_args`
  `static class`
  `Nimbus.getTopologyHistory_result`
  `static class`
  `Nimbus.getTopologyInfo_args`
  `static class`
  `Nimbus.getTopologyInfo_result`
  `static class`
  `Nimbus.getTopologyInfoByName_args`
  `static class`
  `Nimbus.getTopologyInfoByName_result`
  `static class`
  `Nimbus.getTopologyInfoByNameWithOpts_args`
  `static class`
  `Nimbus.getTopologyInfoByNameWithOpts_result`
  `static class`
  `Nimbus.getTopologyInfoWithOpts_args`
  `static class`
  `Nimbus.getTopologyInfoWithOpts_result`
  `static class`
  `Nimbus.getTopologyPageInfo_args`
  `static class`
  `Nimbus.getTopologyPageInfo_result`
  `static class`
  `Nimbus.getTopologySummaries_args`
  `static class`
  `Nimbus.getTopologySummaries_result`
  `static class`
  `Nimbus.getTopologySummary_args`
  `static class`
  `Nimbus.getTopologySummary_result`
  `static class`
  `Nimbus.getTopologySummaryByName_args`
  `static class`
  `Nimbus.getTopologySummaryByName_result`
  `static class`
  `Nimbus.getUserTopology_args`
  `static class`
  `Nimbus.getUserTopology_result`
  `static interface`
  `Nimbus.Iface`
  `static class`
  `Nimbus.isRemoteBlobExists_args`
  `static class`
  `Nimbus.isRemoteBlobExists_result`
  `static class`
  `Nimbus.isTopologyNameAllowed_args`
  `static class`
  `Nimbus.isTopologyNameAllowed_result`
  `static class`
  `Nimbus.killTopology_args`
  `static class`
  `Nimbus.killTopology_result`
  `static class`
  `Nimbus.killTopologyWithOpts_args`
  `static class`
  `Nimbus.killTopologyWithOpts_result`
  `static class`
  `Nimbus.listBlobs_args`
  `static class`
  `Nimbus.listBlobs_result`
  `static class`
  `Nimbus.Processor<I extends Nimbus.Iface>`
  `static class`
  `Nimbus.processWorkerMetrics_args`
  `static class`
  `Nimbus.processWorkerMetrics_result`
  `static class`
  `Nimbus.rebalance_args`
  `static class`
  `Nimbus.rebalance_result`
  `static class`
  `Nimbus.sendSupervisorWorkerHeartbeat_args`
  `static class`
  `Nimbus.sendSupervisorWorkerHeartbeat_result`
  `static class`
  `Nimbus.sendSupervisorWorkerHeartbeats_args`
  `static class`
  `Nimbus.sendSupervisorWorkerHeartbeats_result`
  `static class`
  `Nimbus.setBlobMeta_args`
  `static class`
  `Nimbus.setBlobMeta_result`
  `static class`
  `Nimbus.setLogConfig_args`
  `static class`
  `Nimbus.setLogConfig_result`
  `static class`
  `Nimbus.setWorkerProfiler_args`
  `static class`
  `Nimbus.setWorkerProfiler_result`
  `static class`
  `Nimbus.submitTopology_args`
  `static class`
  `Nimbus.submitTopology_result`
  `static class`
  `Nimbus.submitTopologyWithOpts_args`
  `static class`
  `Nimbus.submitTopologyWithOpts_result`
  `static class`
  `Nimbus.updateBlobReplication_args`
  `static class`
  `Nimbus.updateBlobReplication_result`
  `static class`
  `Nimbus.uploadBlobChunk_args`
  `static class`
  `Nimbus.uploadBlobChunk_result`
  `static class`
  `Nimbus.uploadChunk_args`
  `static class`
  `Nimbus.uploadChunk_result`
  `static class`
  `Nimbus.uploadNewCredentials_args`
  `static class`
  `Nimbus.uploadNewCredentials_result`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Nimbus()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Nimbus

    public Nimbus()